// Wave.h    by S. Metrot   16/12/96

#ifndef __WAVE_H__
#define __WAVE_H__

int _CRmulti(mmachine m);
int _SETMultiReflexMode (mmachine m);
int _SETMultiReflexError (mmachine m);
int SCOLMmEventError(mmachine m,short wParam,long lParam);
int MMCloseDevice(mmachine m,HWND h);

int _PLAYmulti (mmachine m);
int _PAUSEmulti (mmachine m);
int _DSmulti (mmachine m);

int _SETmultiXYsource (mmachine m);
int _GETmultiXYsource (mmachine m);
int _SETmultiXYdest (mmachine m);
int _GETmultiXYdest (mmachine m);
int _SETmultiXYwin (mmachine m);
int _GETmultiXYwin (mmachine m);

int _EJECTmulti (mmachine m);
int _PLAYmultiFrom (mmachine m);
int _PLAYmultiFromTo (mmachine m);
int _PLAYmultiReverse (mmachine m);
int _PLAYmultiTo (mmachine m);

int _SETmultiRepeat (mmachine m);
int _GETmultiRepeat (mmachine m);

int _SETmultiEnd(mmachine m);
int _GETmultiEnd(mmachine m);
int _GETmultiLength(mmachine m);
int _GETmultiPosition(mmachine m);
int _GETmultiStart(mmachine m);
int _SETmultiHome(mmachine m);
int _SEEKmulti(mmachine m);
int _STEPmulti(mmachine m);

int _GETmultiSpeed(mmachine m);
int _GETmultiVolume(mmachine m);
int _GETmultiZoom(mmachine m);
int _SETmultiSpeed(mmachine m);
int _SETmultiVolume(mmachine m);
int _SETmultiZoom(mmachine m);

int _GETmultiTimeFormat(mmachine m);
int _SETmultiUseFrames(mmachine m);
int _SETmultiUseTime(mmachine m);
int _SETmultiUseTracks(mmachine m);
int _SETmultiUseSamples(mmachine m);
int _SETmultiUseBytes(mmachine m);

int _GETmultiCanEject(mmachine m);
int _GETmultiCanPlay(mmachine m);
int _GETmultiMode(mmachine m);

int _CDAUDIO (mmachine m);
int _DIGITALVIDEO (mmachine m);
int _VCR (mmachine m);
int _VIDEODISC (mmachine m);


int IniMMEDIA(mmachine m);

#endif // __WAVE_H__

/*
_CRmulti
_PLAYmulti
_PAUSEmulti
_DSmulti

_SETmultiXYsource 
_GETmultiXYsource
_SETmultiXYdest 
_GETmultiXYdest 
_SETmultiXYwin 
_GETmultiXYwin 

_EJECTmulti 
_PLAYmultiFrom 
_PLAYmultiFromTo 
_PLAYmultiReverse 
_PLAYmultiTo 

_SETmultiRepeat 
_GETmultiRepeat

_SETmultiPosEnd
_GETmultiEnd
_GETmultiLength
_GETmultiPosition
_GETmultiStart
_SETmultiHome
_SEEKmulti
_STEPmulti

_GETmultiSpeed
_GETmultiVolume
_GETmultiZoom
_SETmultiSpeed
_SETmultiVolume
_SETmultiZoom

_GETmultiTimeFormat
_SETmultiUseFrames
_SETmultiUseTime
_SETmultiUseTracks
_SETmultiUseSamples
_SETmultiUseBytes

_GETmultiCanEject
_GETmultiCanPlay
_GETmultiMode
*/

/*
_CRmulti,
_PLAYmulti,
_PAUSEmulti,
_DSmulti,
_SETmultiXYsource,
_GETmultiXYsource,
_SETmultiXYdest,
_GETmultiXYdest,
_SETmultiXYwin,
_GETmultiXYwin,
_EJECTmulti,
_PLAYmultiFrom,
_PLAYmultiFromTo,
_PLAYmultiReverse,
_PLAYmultiTo,
_SETmultiRepeat,
_GETmultiRepeat,
_SETmultiPosEnd,
_GETmultiEnd,
_GETmultiLength,
_GETmultiPosition,
_GETmultiStart,
_SETmultiHome,
_SEEKmulti,
_STEPmulti,
_GETmultiSpeed,
_GETmultiVolume,
_GETmultiZoom,
_SETmultiSpeed,
_SETmultiVolume,
_SETmultiZoom,
_GETmultiTimeFormat,
_SETmultiUseFrames,
_SETmultiUseTime,
_SETmultiUseTracks,
_SETmultiUseSamples,
_SETmultiUseBytes,
_GETmultiCanEject,
_GETmultiCanPlay,
_GETmultiMode,
*/